ICC-4c C# SDK

Public Member Functions | List of all members
ICC4cPwmSdk.Device.ITemperatureManager Interface Reference
Inheritance diagram for ICC4cPwmSdk.Device.ITemperatureManager:

## Public Member Functions
float | GetBoardOutputTemperature ()
| Returns board output temperature. More...
void | SetBoardOutputTemperatureThreshold (float temperatureThreshold)
| Sets board output temperature threshold. More...
float | GetBoardOutputTemperatureThreshold ()
| Returns board output temperature threshold. More...
float | GetBoardPowerTemperature ()
| Returns board power temperature. More...
void | SetBoardPowerTemperatureThreshold (float temperatureThreshold)
| Sets board power temperature threshold. More...
float | GetBoardPowerTemperatureThreshold ()
| Returns board power temperature threshold. More...
float | GetDeviceTemperature (EChannel channel)
| Returns device temperature. More...
void | SetDeviceTemperatureThreshold (EChannel channel, float temperatureThreshold)
| Sets device temperature threshold. More...
float | GetDeviceTemperatureThreshold (EChannel channel)
| Returns board temperature threshold. More...

## Member Function Documentation

## ◆ GetBoardOutputTemperature()

float ICC4cPwmSdk.Device.ITemperatureManager.GetBoardOutputTemperature | ( |  | ) |

Returns board output temperature.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetBoardOutputTemperatureThreshold()

float ICC4cPwmSdk.Device.ITemperatureManager.GetBoardOutputTemperatureThreshold | ( |  | ) |

Returns board output temperature threshold.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetBoardPowerTemperature()

float ICC4cPwmSdk.Device.ITemperatureManager.GetBoardPowerTemperature | ( |  | ) |

Returns board power temperature.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetBoardPowerTemperatureThreshold()

float ICC4cPwmSdk.Device.ITemperatureManager.GetBoardPowerTemperatureThreshold | ( |  | ) |

Returns board power temperature threshold.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetDeviceTemperature()

float ICC4cPwmSdk.Device.ITemperatureManager.GetDeviceTemperature | ( | EChannel | channel | ) |

Returns device temperature.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetDeviceTemperatureThreshold()

float ICC4cPwmSdk.Device.ITemperatureManager.GetDeviceTemperatureThreshold | ( | EChannel | channel | ) |

Returns board temperature threshold.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetBoardOutputTemperatureThreshold()

void ICC4cPwmSdk.Device.ITemperatureManager.SetBoardOutputTemperatureThreshold | ( | float | temperatureThreshold | ) |

Sets board output temperature threshold.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetBoardPowerTemperatureThreshold()

void ICC4cPwmSdk.Device.ITemperatureManager.SetBoardPowerTemperatureThreshold | ( | float | temperatureThreshold | ) |

Sets board power temperature threshold.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetDeviceTemperatureThreshold()

void ICC4cPwmSdk.Device.ITemperatureManager.SetDeviceTemperatureThreshold | ( | EChannel | channel,
|  | float | temperatureThreshold
| ) |  |

Sets device temperature threshold.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

The documentation for this interface was generated from the following file:

- Device/ICC4cPwmSdkDeviceController.cs